Subject: RE: draft-davari-pwe3-aal12-over-psn-01

From: Shahram Davari <[email-masked]>
Date: Thu, 13 Mar 2003 13:46:10 -0800

Andy,

Note that using PDU mode is optional in my draft. And note that my intention was
that if a box has implemented ATM-ENCAP it could be used for transporting AAL1 too.
If the box does not have PDU mode, then N:1 or 1:1 modes could be used.

Thanks,
-Shahram

>-----Original Message-----
>From: Andrew G. Malis [mailto:[email-masked]]
>Sent: Thursday, March 13, 2003 4:43 PM
>To: Shahram Davari
>Cc: 'Andrew G. Malis'; [email-masked]
>Subject: RE: [PWE3] draft-davari-pwe3-aal12-over-psn-01
>
>
>Shahram,
>
>Yes, but it's much easier to make the case for AAL5, where in 
>the general 
>case frames are counted in the tens of cells (12or 13 cells 
>and 32 or 33 
>cells are common figures), and sometimes in the hundreds.
>
>Cheers,
>Andy
>
>------
>
>At 3/13/2003 12:36 PM -0800, Shahram Davari wrote:
>
>>Andy,
>>
>>I gain BW efficiency. You could ask the same question 
>regarding the reason
>>to use PDU/SDU for ALL5.
>>
>>Yours,
>>-Shahram
>>
>> >-----Original Message-----
>> >From: Andrew G. Malis [mailto:[email-masked]]
>> >Sent: Thursday, March 13, 2003 2:28 PM
>> >To: Shahram Davari
>> >Cc: 'Andrew G. Malis'; [email-masked]
>> >Subject: RE: [PWE3] draft-davari-pwe3-aal12-over-psn-01
>> >
>> >
>> >Shahram,
>> >
>> >So what do you gain that's worth the additional complexity and
>> >yet another
>> >encapsulation choice for implementers?
>> >
>> >Cheers,
>> >Andy
>> >
>> >-------
>> >
>> >At 3/13/2003 08:41 AM -0800, Shahram Davari wrote:
>> >
>> >>Andy,
>> >>
>> >> >I agree with Akiva's comments regarding the effects of packet
>> >> >loss when
>> >> >you're using PDU mode.
>> >>
>> >>Please see my email exchange with Sasha. There are many 
>ways to handle
>> >>packet loss.
>> >>
>> >>
>> >> >In addition, PDU mode adds additional
>> >> >accumulation
>> >> >delay over and above the delay introduced by the vocoders, and
>> >> >increases
>> >> >the jitter buffer requirements at the egress.
>> >>
>> >>With the new change on PDU mode that does not require reassembly
>> >>at the egress PE, I don't see any delay or buffer increase 
>compared to
>> >>cell mode.
>> >>
>> >>
>> >>Thanks,
>> >>-Shahram
>> >>
>> >>   IMHO even
>> >> >though it could
>> >> >conceivably work, the additional complexity being introduced
>> >> >to support
>> >> >AAL1 over PDU mode isn't worth it - the existing two
>> >> >alternatives (1-1 and
>> >> >N-to-1 cell mode) are more than sufficient.
>> >> >
>> >> >Cheers,
>> >> >Andy
>> >> >
>> >> >--------
>> >> >
>> >> >At 3/4/2003 08:14 AM -0800, Shahram Davari wrote:
>> >> >
>> >> >>Hi all,
>> >> >>
>> >> >>I have submitted this draft. FYI I am enclosing a copy.
>> >> >>
>> >> >>Yours,
>> >> >>Shahram Davari
>> >> >
>> >
>